GetXAPI
Users

User Following v2

Get accounts a Twitter user is following with ~70 results per page and canDm field. $0.001 per call. GetXAPI following v2 endpoint docs.

GET/twitter/user/following_v2

This endpoint costs $0.001 per API call and returns ~70 users per page.

Query Parameters

ParameterTypeRequiredDescription
userNamestringYesScreen name (without @)
cursorstringNoPagination cursor

Notes

  • Uses the following endpoint (higher fidelity than REST v1).
  • Returns ~70 following per page (ordered by follow time desc).
  • Includes the canDm field for each user.

Response

{
  "userName": "elonmusk",
  "user_count": 70,
  "has_more": true,
  "next_cursor": "DAABCgABG...",
  "following": [
    {
      "type": "user",
      "id": "1995710751097659392",
      "userName": "clawdbot",
      "name": "Clawd",
      "url": "https://x.com/clawdbot",
      "isVerified": false,
      "isBlueVerified": false,
      "profilePicture": "https://pbs.twimg.com/profile_images/...",
      "coverPicture": "https://pbs.twimg.com/profile_banners/...",
      "description": "I help @steipete manage his digital life",
      "location": "Peter's Castle (any OS)",
      "followers": 50708,
      "following": 7,
      "tweets": 389,
      "listed": 45,
      "createdAt": "Tue Dec 02 04:25:09 +0000 2025",
      "canDm": false
    }
  ]
}

Example

curl -H "Authorization: Bearer API_KEY" "https://api.getxapi.com/twitter/user/following_v2?userName=elonmusk"

# With pagination
curl -H "Authorization: Bearer API_KEY" "https://api.getxapi.com/twitter/user/following_v2?userName=elonmusk&cursor=DAABCgABG..."

On this page